<style scoped="">
.report{
  padding: 0px 12px;
  font-size: 13px;
}
.pr_top_nav{
  height: 60px;
  display: flex;
  align-items: center;
}
.pr_back{
  display: flex;
  align-items: center;
  font-size: 15px;
  font-weight: bold;
}
.left_arrow{
    border-top: 2px solid #000;
    border-left: 2px solid #000;
    width: 8px;
    height: 8px;
    transform: rotate(-45deg);
    margin-right: 4px;
} 


.report_form{
  padding-bottom: 90px;
}
.report_form_item{
  display: flex;
  align-items: center;
  border-bottom: 1px solid #F3F3F3;
}
.report_label{
  white-space: nowrap;
  width: 80px;
  height: 54px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
}
.report_form_item_ipt{
  width: 100%;
}
.report_form_item_ipt input{
  outline: none;
  -webkit-appearance: none;
  border: 1px solid rgba(0, 0, 0, 0);
  height: 54px;
  width: 100%;
  box-sizing: border-box;
}
.text_area_item{
  flex-wrap: wrap;
}
.text_area_item .report_form_item_ipt{
  margin: 0px 0px;
}
.text_area_item .report_form_item_ipt textarea{
  padding: 10px;
  border: 0px;
  background-color: #F6F6F6;
  width: 100%;
  box-sizing: border-box;
  min-height: 74px;
  outline: none;
}
.submit{
  background: #078CF4;
  color: #fff;
  height: 34px;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
  display: flex;
}
.select_ct{
  display: flex;
  align-items: center;
  height: 30px;
  width: auto;
  /*border: 1px solid #000;*/
  max-width: 84px;
}
.select_ct .select_arrow{
  border-top: 1px solid #000;
  border-right: 1px solid #000;
  width: 6px;
  height: 6px;
  transform: rotate(135deg);
  margin-left: 10px;
  margin-top: -1px;
}
.select_items_ct{
  position: relative;
  display: inline-block;
}
.select_items_ct select{
  position: absolute;
  left: 0px;
  top: 0px;
  opacity: 0;
  width: 100%;
  height: 100%;
}

</style>
<template>
  <div class="report">

    <router-link :to="{'name': 'product_router'}" class="pr_top_nav">
      <div class="pr_back">
        <div class="left_arrow"></div>
        <div>返回溯源结果</div>
      </div>
    </router-link>

    <div class="report_form">

      <div class="error_info" v-if="sub_config.err_msg">
        {{ sub_config.err_msg }}
      </div>

      <template  v-for="item, index in form_items">

        <div class="report_form_item"  v-if="item.type == 'select'">
          <div class="report_label">{{ item.text }}</div>
          <div class="report_form_item_ipt">

            <div class="select_items_ct">
              <div class="select_ct">
                <div>{{ item.options.find(i => i.value == item.value).name  }}</div>
                <div class="select_arrow"></div>
              </div>

              <select v-model="item.value">
                <option :value="i.value" v-for="i in item.options">{{ i.name }}</option>
              </select>
              
            </div>

          </div>
        </div>

        <div class="report_form_item" v-if="item.type == 'input'">
          <div class="report_label">{{ item.text }}</div>
          <div class="report_form_item_ipt">
            <input type="" name="" :placeholder="item.placeholder" v-model="item.value">
          </div>
        </div>

        <div class="report_form_item text_area_item" v-if="item.type == 'textarea'">
          <div class="report_label">{{ item.text }}</div>
          <div class="report_form_item_ipt">
            <textarea  :placeholder="item.placeholder" v-model="item.value"></textarea>
          </div>
        </div>

      </template>

    </div>

    <div class="submit" v-if="!sub_config.on_load" @click="submit">提交</div>
    <div class="submit" v-if="sub_config.on_load">提交中...</div>

  </div>  
</template>
<script type="text/javascript">
import {
  consumer_report
} from '@/service'

/*
  reportType  int 是 举报类型
  skuId string  是 被举报skuId
  platform  string  是 平台
  storeName string  是 店铺名称
  url string  是 URL
  expressNum  string  是 物流单号
  phoneNum  string  是 举报人联系方式

*/
export default {
  data () {
    return {
      sub_config: {
        on_load: false,
        err_msg: ''
      },
      form_items: [
        {
          type: 'select',
          text: '举报类型',
          options: [
            {'value': 1, 'name': '假货'},
            {'value': 2, 'name': '串货'},
          ],
          name: 'reportType',
          placeholder: '举报类型',
          value: 1
        },
        {
          type: 'input',
          text: '平台',
          // options: [
          //   '京东',
          //   '淘宝',
          // ],
          name: 'platform',
          placeholder: '请填写平台名称, 如 京东/淘宝....',
          value: ''
        },
        {
          type: 'input',
          text: '店铺名称',
          name: 'storeName',
          placeholder: '请填写店铺名称',
          value: ''
        },
        {
          type: 'input',
          text: 'URL(选填)',
          name: 'url',
          placeholder: '请填写URL',
          value: ''
        },
        {
          type: 'input',
          text: '物流单号',
          name: 'expressNum',
          placeholder: '请填写你的物流单号',
          value: ''
        },
        {
          type: 'input',
          text: '手机号',
          name: 'phoneNum',
          placeholder: '请填写您的手机号',
          value: ''
        },
        // {
        //   type: 'textarea',
        //   text: '详细描述(选填)',
        //   // name: 'reportType',
        //   placeholder: '请填写购买、溯源过程',
        //   value: ''
        // },
      ]
    }
  },
  computed: {
    'sku_id' () {
      return this.$route.params.sku_id;
    }
  },
  methods: {
    async submit () {
      this.sub_config.err_msg = '';
      this.sub_config.on_load = true;

      let form_data = {};
      form_data.skuId = this.sku_id;
      this.form_items.forEach(item => {
        form_data[item.name] = item.value;
      });

      let data = await consumer_report(form_data).catch(err => {
        this.sub_config.on_load = false;
      })

      if(data.errCode != 200){
        this.sub_config.err_msg = data.errMsg;
      }else{
        this.$router.push({
          'name': 'product_router',
          'params': {
            'sku_id': this.sku_id
          }
        })
      }

      this.sub_config.on_load = false;
    },

  }
}
</script>